On Macs running OSX 10.4 on Intel hardware, (this combination shipped from Apple from Feb 2006 to Oct 2007,) Logger Lite 1.5 may crash if you plug in the Go!Temp before you launch the program, or open a new file with a Go!Temp plugged in. If you plug in the Go!Temp after Logger Lite has already started, this is not an issue.

Updating Logger Lite to the most recent version may resolve this issue. A free update is available at
http://www.vernier.com/products/software/logger-lite/#download

The other workaround is to upgrade the operating system to 10.5 or 10.6.